#include <bits/stdc++.h>

using namespace std;


int main()
{
    int n;
    cin>>n;
    int jela[n];
    for(int i=0; i<n; i++)
    {
        cin>>jela[i];
    }
    vector<int> brojaci(n+1,0);
    int unos;
    int recepti[n+1][n+1];
    for(int i=0; i<n; i++)
    {
        cin>>unos;
        recepti[unos][brojaci[unos]]=i+1;
        brojaci[unos]++;
    }
    vector<int> ponavljanja(n+1,0);
    for(int i=0; i<n; i++)
    {
        cin>>unos;
        ponavljanja[unos]++;
    }
    int nacini=0;
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<=brojaci[jela[i]]; j++)
        {
            nacini+=ponavljanja[recepti[jela[i]][j]];
        }
    }
    cout<<nacini;

}